diff -Nru diffutils-2.9/debian/changelog diffutils-2.9/debian/changelog
--- diffutils-2.9/debian/changelog	2010-02-16 09:04:37.000000000 +0100
+++ diffutils-2.9/debian/changelog	2010-02-16 09:02:16.000000000 +0100
@@ -1,3 +1,19 @@
+diffutils (1:2.9-1.1) unstable; urgency=low
+
+  * Non-maintainer upload.
+  * Switch to source format "3.0 (quilt)" to be able to add a patch
+    together with its meta-information.
+  * Revert upstream commit that changes "Binary files ... differ" into
+    "Files ... differ" since that breaks dpkg-source. This change is to
+    be kept until either:
+    - upstream also reverts the change
+    - a fixed dpkg-dev is available in all distributions (squeeze+2)
+    Otherwise a Breaks against the non-compatible dpkg-dev versions needs to be
+    added to the diffutils package.
+    Closes: #570064
+
+ -- Raphaël Hertzog <hertzog@debian.org>  Tue, 16 Feb 2010 08:52:03 +0100
+
 diffutils (1:2.9-1) unstable; urgency=low
 
   * New upstream release, now under GPL version 3 or later.
diff -Nru diffutils-2.9/debian/patches/revert-output-on-binary-files diffutils-2.9/debian/patches/revert-output-on-binary-files
--- diffutils-2.9/debian/patches/revert-output-on-binary-files	1970-01-01 01:00:00.000000000 +0100
+++ diffutils-2.9/debian/patches/revert-output-on-binary-files	2010-02-16 08:57:34.000000000 +0100
@@ -0,0 +1,34 @@
+Description: Switch back output "Binary files ... differ"
+ This patch reverts upstream commit
+ a352f09806a8606b4bbec07048da6762ce7d9afa that changed "Binary files %s
+ and %s differ" into "Files %s and %s differ" since that
+ change breaks dpkg-dev/dpkg-source.
+ .
+ This change is to be kept until either:
+  - upstream also reverts the change
+  - a fixed dpkg-dev is available in all distributions (squeeze+2) 
+ Otherwise a Breaks against the non-compatible dpkg-dev versions needs to
+ be added to the diffutils package.
+Origin: upstream, http://git.savannah.gnu.org/cgit/diffutils.git/commit/?id=a352f09806a8606b4bbec07048da6762ce7d9afa
+Bug-Debian: http://bugs.debian.org/570064
+
+--- a/src/analyze.c
++++ b/src/analyze.c
+@@ -454,9 +454,14 @@ briefly_report (int changes, struct file
+     {
+       char const *label0 = file_label[0] ? file_label[0] : filevec[0].name;
+       char const *label1 = file_label[1] ? file_label[1] : filevec[1].name;
+-      message ("Files %s and %s differ\n", label0, label1);
+-      if (! brief)
+-	changes = 2;
++
++      if (brief)
++	message ("Files %s and %s differ\n", label0, label1);
++      else
++	{
++	  message ("Binary files %s and %s differ\n", label0, label1);
++	  changes = 2;
++	}
+     }
+ 
+   return changes;
diff -Nru diffutils-2.9/debian/patches/series diffutils-2.9/debian/patches/series
--- diffutils-2.9/debian/patches/series	1970-01-01 01:00:00.000000000 +0100
+++ diffutils-2.9/debian/patches/series	2010-02-16 08:51:32.000000000 +0100
@@ -0,0 +1 @@
+revert-output-on-binary-files
diff -Nru diffutils-2.9/debian/source/format diffutils-2.9/debian/source/format
--- diffutils-2.9/debian/source/format	1970-01-01 01:00:00.000000000 +0100
+++ diffutils-2.9/debian/source/format	2010-02-16 09:04:37.000000000 +0100
@@ -0,0 +1 @@
+3.0 (quilt)
